Package com.logicaldoc.core.history

# Class HibernateHistoryDAO<T extends History>

java.lang.Object
com.logicaldoc.core.HibernatePersistentObjectDAO<T>
com.logicaldoc.core.history.HibernateHistoryDAO<T>

Type Parameters:
  `T` - Class of the implementation of a `History` this DAO handles

All Implemented Interfaces:
  `PersistentObjectDAO<T>`

Direct Known Subclasses:
  `HibernateDocumentHistoryDAO`, `HibernateFolderHistoryDAO`, `HibernateUserHistoryDAO`

public abstract class HibernateHistoryDAO<T extends History> extends HibernatePersistentObjectDAO<T> implements PersistentObjectDAO<T>
Parent of all DAOs that handle histories

Since:
  9.0.1
Author:
  Alessandro Gasparini - LogicalDOC

## Field Summary

### Fields inherited from interface com.logicaldoc.core.PersistentObjectDAO

`ENTITY`

## Method Summary

Modifier and Type
Method
Description
`void`
`store(T history)`
This method persists the entity object

### Methods inherited from class com.logicaldoc.core.HibernatePersistentObjectDAO

`bulkUpdate, count, delete, deleteAll, evict, evict, findById, findByObjectQuery, findByQuery, findByQuery, findByWhere, findIdsByWhere, getDatabaseMetadata, initialize, jdbcUpdate, jdbcUpdate, query, queryForDouble, queryForDouble, queryForInt, queryForInt, queryForList, queryForList, queryForList, queryForLong, queryForLong, queryForObject, queryForObject, queryForResultSet, queryForString, queryForString, setSessionFactory`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.logicaldoc.core.PersistentObjectDAO

`bulkUpdate, count, count, count, delete, delete, deleteAll, deleteAll, evict, evict, findAll, findAll, findAllIds, findAllIds, findById, findById, findByObjectQuery, findByQuery, findByQuery, findByWhere, findByWhere, findIdsByWhere, findIdsByWhere, getDatabaseMetadata, getDbms, initialize, initialize, isMariaDB, isMySQL, isOracle, isPostgreSQL, isSQLServer, jdbcUpdate, jdbcUpdate, query, query, queryForDouble, queryForDouble, queryForInt, queryForInt, queryForList, queryForList, queryForList, queryForLong, queryForLong, queryForObject, queryForObject, queryForResultSet, queryForString, queryForString`

## Method Details

### store

public void store(T history) throws PersistenceException
Description copied from interface: `PersistentObjectDAO`
This method persists the entity object

Specified by:
  `store` in interface `PersistentObjectDAO<T extends History>`
Overrides:
  `store` in class `HibernatePersistentObjectDAO<T extends History>`
Parameters:
  `history` - entity to be stored
Throws:
  `PersistenceException` - raised in case of errors in the database